using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FWindSoft.Data;

namespace Com.FirmLib.UI.Manufacturer
{
    public class ManufacturerShowItem: BasePropertyChanged
    {
        public ManufacturerShowItem()
        {
            BrandNames=new List<string>();
            FamilyNames=new List<string>();
        }
        private string m_ManufactureId;
        /// <summary>
        /// 生产厂商id
        /// </summary>
        public string ManufactureId
        {
            get { return this.m_ManufactureId; }
            set
            {
                this.m_ManufactureId = value;
                RaisePropertyChanged(() => this.ManufactureId);
            }
        }


        private string m_ManufacturerName;
        /// <summary>
        /// 生产厂商名称
        /// </summary>
        public string ManufacturerName
        {
            get { return this.m_ManufacturerName; }
            set
            {
                this.m_ManufacturerName = value;
                RaisePropertyChanged(() => this.ManufacturerName);
            }
        }


        private List<string> m_BrandNames;
        /// <summary>
        /// 包含品牌名称
        /// </summary>
        public List<string> BrandNames
        {
            get { return this.m_BrandNames; }
            set
            {
                this.m_BrandNames = value;
                RaisePropertyChanged(() => this.BrandNames);
            }
        }


        private List<string> m_FamilyNames;
        /// <summary>
        /// 包含类型族名称
        /// </summary>
        public List<string> FamilyNames
        {
            get { return this.m_FamilyNames; }
            set
            {
                this.m_FamilyNames = value;
                RaisePropertyChanged(() => this.FamilyNames);
            }
        }

    }
}
